<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'item';

$file = "item.php";

$keyfld = "barcode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`code` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`code` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`code`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
}


$ordcond = "ASC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
$query = "SELECT a.*,b.name as brandname FROM `item` a , brand b WHERE a.code != '' and a.brand = b.code $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'code' => $r['code'],
        'name' => $r['name'],
        'unit' => $r['unit'],
        'brand' => $r['brandname'],
        'cost' => $r['cost'],
        'selling' => $r['selling'],
        'action' => "$file?mode=edit&barcode=$r[barcode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
